Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.ant
Class EnversHibernateToolTask

    java.lang.Object
      HibernateToolTask
          org.hibernate.tool.ant.EnversHibernateToolTask

    public class EnversHibernateToolTask

extends HibernateToolTask

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`EnversHibernateToolTask()`

Method Summary
`AnnotationConfigurationTask` | `createAnnotationConfiguration()`
`ConfigurationTask` | `createConfiguration()`
`JPAConfigurationTask` | `createJpaConfiguration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversHibernateToolTask

    public EnversHibernateToolTask()

Method Detail

### createJpaConfiguration

    public JPAConfigurationTask createJpaConfiguration()

### createConfiguration

    public ConfigurationTask createConfiguration()

### createAnnotationConfiguration

    public AnnotationConfigurationTask createAnnotationConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.